package de.accso.flexinale.backoffice.api_contract.event;

import com.fasterxml.jackson.annotation.JsonGetter;
import de.accso.flexinale.backoffice.api_contract.event.model.KinoTO;
import de.accso.flexinale.common.shared_kernel.Versionable;

@SuppressWarnings({"unused", "CanBeFinal"})
public non-sealed class KinoDeletedEvent extends KinoCRUDEvent {
    private static Version version = Versionable.initialVersion().inc();

    private KinoDeletedEvent() { super(null); } // needed for (de)serialization via Jackson

    public KinoDeletedEvent(final KinoTO kino) {
        super(kino);
    }

    @Override
    @JsonGetter("version") // needed as otherwise the static field version is not (de)serialized
    public Version version() {
        return version;
    }
}
